<?php
$default_options = array(
	'base_gallery_width'      => '800',
	'base_gallery_height'     => '500',
	'gallery_min_height'      => '230',
	'scale_mode'              => 'fit',
	'initial_slide'           => '0',
	'hashnav'                 => '0',
	'slideshow_autoplay'      => '0',
	'slideshow_delay'         => '7000',
	'gallery_focus'           => '0',
	'gallery_maximized'       => '0',
	'gallery_focus_maximized' => '0',
	'keyboard_help'           => '1',
	'show_comments'           => '1',
	'show_download_button'    => '1',
	'show_link_button'        => '1',
	'link_button_target'      => '_self',
	'show_description'        => '1',
	'show_tags'               => '1',
	'show_album'              => '1',
	'show_category'           => '1',
	'show_author_avatar'      => '1',
	'show_author_name'        => '1',
	'show_share_button'       => '1',
	'enable_counters'         => '1',
	'show_like_button'        => '1',
	'show_details_tab'        => '1',
	'show_location_tab'       => '1',
	'map_zoom'                => '11',
	'link_color'              => '0099e5',
	'link_color_hover'        => '02adea',
	'menu_link_color'         => '0099e5',
	'menu_link_color_hover'   => '02adea',
	'menu_text_color'         => 'ffffff',
	'menu_title_color'        => 'ffffff',
	'menu_bg_color'           => 'rgba(0, 0, 0, 0.9)',
	'download_button_text'    => 'Download',
	'link_button_text'        => 'Open Link',
	'comments_button_text'    => 'Discuss',
	'description_title'       => 'Description',
	'details_title'           => 'Details',
	'location_title'          => 'Location',
	'taken_text'              => 'Taken',
	'uploaded_text'           => 'Uploaded',
	'category_text'           => 'category:',
	'album_text'              => 'album:',
	'categories_text'         => 'Categories:',
	'albums_text'             => 'Albums:',
	'tags_text'               => 'Tags:',
	'views_text'              => 'Views',
	'likes_text'              => 'Likes',
	'comments_text'           => 'Comments',
	'customCSS'               => '',
);
$options_tree    = array(
	array(
		'label'  => 'Common Settings',
		'fields' => array(
			'base_gallery_width'   => array(
				'label' => 'Base Width',
				'tag'   => 'input',
				'attr'  => 'type="number" min="1"',
				'text'  => '',
			),
			'base_gallery_height'  => array(
				'label' => 'Base Height',
				'tag'   => 'input',
				'attr'  => 'type="number" min="1"',
				'text'  => 'Slider will autocalculate the ratio based on these values',
			),
			'gallery_min_height'   => array(
				'label' => 'Minimal Height',
				'tag'   => 'input',
				'attr'  => 'type="number" min="230"',
				'text'  => '',
			),
			'gallery_maximized'    => array(
				'label' => 'Auto Height for Each Slide',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Change slider height on change slide to best fit image in it',
			),
			'scale_mode'           => array(
				'label'   => 'Image Scale Mode',
				'tag'     => 'select',
				'attr'    => '',
				'text'    => 'Default value: Fit. Note \'Fill\' - can work inproperly on IE browser',
				'choices' => array(
					array(
						'label' => 'Fit',
						'value' => 'fit',
					),
					array(
						'label' => 'Fill',
						'value' => 'fill',
					),
				),
			),
			'initial_slide'        => array(
				'label' => 'Initial Slide',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0"',
				'text'  => '',
			),
			'hashnav'              => array(
				'label' => 'Deep Linking',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Enable hash url navigation to for slides',
			),
			'slideshow_autoplay'   => array(
				'label' => 'Autoplay On Load',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Start slideshow automatically on gallery load',
			),
			'slideshow_delay'      => array(
				'label' => 'Slideshow Delay',
				'tag'   => 'input',
				'attr'  => 'type="number" min="1000"',
				'text'  => 'Delay between change slides in miliseconds',
			),
			'show_download_button' => array(
				'label' => 'Show Download Button',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => 'Download original file or if custom field with name "download" specified for the item then its value will be used.',
			),
			'show_link_button'     => array(
				'label' => 'Show Link Button',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => 'Uses link field from the item',
			),
			'link_button_target'   => array(
				'label' => 'Link Button Target',
				'tag'   => 'input',
				'attr'  => 'type="text" placeholder="_self" data-show_link_button="is:1"',
				'text'  => '"_self" to open links in same window; "_blank" to open in new tab.',
			),
			'show_comments'        => array(
				'label' => 'Show Comments',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_description'     => array(
				'label' => 'Show Slide Description',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'show_tags'            => array(
				'label' => 'Show Tags',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_album'           => array(
				'label' => 'Show Album',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_category'        => array(
				'label' => 'Show Category',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_author_avatar'   => array(
				'label' => 'Show Author Avatar',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_author_name'     => array(
				'label' => 'Show Author Name',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_share_button'    => array(
				'label' => 'Show Share Button',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'enable_counters'      => array(
				'label' => 'Enable Views & Likes Counters',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_like_button'     => array(
				'label' => 'Show Like Button',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Views & Likes Counters should be enabled too',
			),
			'show_details_tab'     => array(
				'label' => 'Show Details Tab',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_location_tab'    => array(
				'label' => 'Show Location Tab',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			//            'staticmap'    => array(
			//                'label' => 'Show Map as Static Image',
			//                'tag'   => 'checkbox',
			//                'attr'  => '',
			//                'text'  => ''
			//            ),
			'map_zoom'             => array(
				'label' => 'Map Zoom',
				'tag'   => 'input',
				'attr'  => 'type="number" min="1" max="18"',
			),
		),
	),
	array(
		'label'  => 'Colors',
		'fields' => array(
			'menu_bg_color'         => array(
				'label' => 'Menu Background Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'menu_title_color'      => array(
				'label' => 'Title Color in Menu',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'menu_text_color'       => array(
				'label' => 'Text Color in Menu',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'menu_link_color'       => array(
				'label' => 'Links Color in Menu',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'menu_link_color_hover' => array(
				'label' => 'Links Color on Hover in Menu',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'link_color'            => array(
				'label' => 'Links and Buttons Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'link_color_hover'      => array(
				'label' => 'Links and Buttons Color on Hover',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
		),
	),
	array(
		'label'  => 'Translate Strings',
		'fields' => array(
			'download_button_text' => array(
				'label' => 'Download Button Name',
				'tag'   => 'input',
				'attr'  => 'type="text"',
				'text'  => '',
			),
			'link_button_text'     => array(
				'label' => 'Link Button Name',
				'tag'   => 'input',
				'attr'  => 'type="text"',
				'text'  => '',
			),
			'comments_button_text' => array(
				'label' => 'Comments Button Name',
				'tag'   => 'input',
				'attr'  => 'type="text"',
				'text'  => '',
			),
			'description_title'    => array(
				'label' => 'Slide Description Title',
				'tag'   => 'input',
				'attr'  => 'type="text"',
				'text'  => '',
			),
			'details_title'        => array(
				'label' => 'Details Title',
				'tag'   => 'input',
				'attr'  => 'type="text"',
			),
			'location_title'       => array(
				'label' => 'Location Title',
				'tag'   => 'input',
				'attr'  => 'type="text"',
			),
			'categories_text'      => array(
				'label' => 'Menu Categories Text',
				'tag'   => 'input',
				'attr'  => 'type="text"',
			),
			'albums_text'          => array(
				'label' => 'Menu Albums Text',
				'tag'   => 'input',
				'attr'  => 'type="text"',
			),
			'tags_text'            => array(
				'label' => 'Menu Tags Text',
				'tag'   => 'input',
				'attr'  => 'type="text"',
			),
			'category_text'        => array(
				'label' => 'Slide Category Text',
				'tag'   => 'input',
				'attr'  => 'type="text"',
			),
			'album_text'           => array(
				'label' => 'Slide Album Text',
				'tag'   => 'input',
				'attr'  => 'type="text"',
			),
			'views_text'           => array(
				'label' => 'Views Title',
				'tag'   => 'input',
				'attr'  => 'type="text"',
			),
			'likes_text'           => array(
				'label' => 'Likes Title',
				'tag'   => 'input',
				'attr'  => 'type="text"',
			),
			'comments_text'        => array(
				'label' => 'Comments Title',
				'tag'   => 'input',
				'attr'  => 'type="text"',
			),
		),
	),
	array(
		'label'  => 'Advanced Settings',
		'fields' => array(
			'gallery_focus'           => array(
				'label' => 'Full Window Mode on Start',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'gallery_focus_maximized' => array(
				'label' => 'Maximized Full Window Mode',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'keyboard_help'           => array(
				'label' => 'Show Keyboard Help',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'customCSS'               => array(
				'label' => 'Custom CSS',
				'tag'   => 'textarea',
				'attr'  => 'cols="20" rows="10"',
				'text'  => 'You can enter custom style rules into this box if you\'d like. IE: <i>a{color: red !important;}</i><br />This is an advanced option! This is not recommended for users not fluent in CSS... but if you do know CSS, anything you add here will override the default styles',
			)
			/*,
			'loveLink' => array(
				'label' => 'Display LoveLink?',
				'tag' => 'checkbox',
				'attr' => '',
				'text' => 'Selecting "Yes" will show the lovelink icon (codeasily.com) somewhere on the gallery'
			)*/
		),
	),
);
